Namespace
library
Image / Tag
swift:5.7.0-amazonlinux2
Content Digest
sha256:9d9cb12621fd333940cfe0b8e0ed3f460109944525af6b52b09be965d966ee3a
Details
Created

2022-10-21 00:39:14 UTC

Size

852 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.7-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.7-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:e3cfe889ce0a44ace07ec174bd2a7e9022e493956fba0069812a53f81a6040e2 - 6.97% (59.4 MB)

[#001] sha256:8119baad8662ccc1804fb041deb0a70d7ca75d0c1b689f7e9f834d4fe4985a21 - 31.99% (273 MB)

[#002] sha256:1c7df220c2b29c0c320d13faf81deaed3a30164317d790c1e9b48417ca680faa - 61.04% (520 MB)

[#003] sha256:cb1a23d0bdb4b006237f8d5df3750bbf1befaf6bd29d7d9c78377cd52eea1ce3 - 0.0% (225 Bytes)


History
2022-10-21 00:19:49 UTC

/bin/sh -c #(nop) ADD file:33ce740675602f8911c110c617b08d74ebe9c26c82226b4815019d8c2d0a2263 in /

2022-10-21 00:19:50 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-10-21 00:37:44 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-10-21 00:37:44 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-10-21 00:38:17 UTC

/bin/sh -c yum -y install binutils gcc git unzip glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel

2022-10-21 00:38:19 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-10-21 00:38:19 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2022-10-21 00:38:19 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7-release

2022-10-21 00:38:19 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7-RELEASE

2022-10-21 00:38:20 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-10-21 00:38:20 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.7-release SWIFT_VERSION=swift-5.7-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-10-21 00:39:07 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2022-10-21 00:39:14 UTC

/bin/sh -c swift --version

Details
Created

2022-10-26 19:28:54 UTC

Size

805 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.7-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.7-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:d900cba9f9f55565485a1181c89317c2718b6232095971d67af440a33db15594 - 7.57% (61 MB)

[#001] sha256:abacb6dbc9c45bd9abb9e6f56b356431af997e90321686944b8ef52bbf684035 - 30.23% (243 MB)

[#002] sha256:d623deda6d9a92b04a8f7ae2d96ea768edef1748f73db4a55d0ebf736fedb83a - 62.21% (501 MB)

[#003] sha256:fc750e016a377077b7b86f75ca18e9ae4958c6c31d8f398a32f47cb2ad5f6f1d - 0.0% (227 Bytes)


History
2022-10-26 15:27:06 UTC

/bin/sh -c #(nop) ADD file:45362bc0bb55d35f704a938eb431f8accb86d1bb8e52b78f3ef34eb141c3ed82 in /

2022-10-26 15:27:06 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-10-26 19:27:42 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-10-26 19:27:42 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-10-26 19:28:05 UTC

/bin/sh -c yum -y install binutils gcc git unzip glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel

2022-10-26 19:28:10 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-10-26 19:28:10 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2022-10-26 19:28:10 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7-release

2022-10-26 19:28:10 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7-RELEASE

2022-10-26 19:28:10 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-10-26 19:28:10 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.7-release SWIFT_VERSION=swift-5.7-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-10-26 19:28:43 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2022-10-26 19:28:54 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete